Chuyển đến nội dung
Diễn đàn CADViet
co_khi

Có cách nào ẩn block or biến block thành layer để ẩn đi không?

Các bài được khuyến nghị

   Em có bản vẽ có rất nhiều block đè lên nhau. Giờ em muốn ẩn một số block đi cho dễ nhìn. Nếu không được em định tạo block thành layout để ẩn đi có được không?

 

 

Xin mọi người giúp em với ạ,em xin cảm ơn rất nhiều.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dùng lisp được không bạn.

Với cad đời cao có thể dùng Code này, với Cad đời thấp chưa có hàm, lệnh ẩn hiện đối  tượng thì cm lại mình cóp nhặt topic khác về sửa lại cho, cái này là tận dùng hàm có sẵn trong Cad 2012


(defun c:thu22(/ ls x fl  )

  (vl-load-com)  

  (setq ls(mapcar '(lambda(x)

    (assoc 2 (entget x)))

 (acet-ss-to-list(ssget '((0 . "INsert"))))))

  ;(setq ss (ssget (list (append (cons -4  "<or") ls ( cons -4  "or>")))))

  (setq fl (append '(( -4 . "<and")(0 . "INsert")( -4 . "<or")) ls '(( -4 . "or>")( -4 . "and>"))))

  (command "HIDEOBJECTS" (ssget "_x" fl) "")

  (princ)

  )

 

Sử dụng: Gọi lệnh : Thu222(Thử 222) quét chọn Các Insert (block)

Lisp lọc toạn bộ Block cùng tên trong tập chọn và cho ẩn hết đi. Để hiện lại gõ lệnh :"UNISOLATEOBJECTS"

Chúc vui

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×